package com.njcn.product.cnuser.user.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2024/11/9
 */
@Getter
public enum UserResponseEnum {
    LOGIN_NAME_REPEAT("A010001", "登录名重复，请检查loginName参数"),
    REGISTER_PHONE_FAIL("A010002", "该号码已被注册"),
    USER_NAME_REPEAT("A010003", "用户名重复，请检查name参数"),
    REGISTER_EMAIL_FAIL("A010004", "该邮箱已被注册"),
    NAME_OR_CODE_REPEAT("A010005", "名称或编码已存在"),
    EXISTS_SAME_MENU_CHILDREN("A010006", "该层级下已存在相同名称或相同编码或相同路径或相同组件地址的菜单"),
    EXISTS_CHILDREN_NOT_UPDATE("A010008", "该菜单下存在子节点，无法将菜单修改为按钮"),
    EXISTS_CHILDREN_NOT_DELETE("A010007", "该节点下存在子节点，无法删除"),
    SUPER_ADMINSTRATOR_ROLE_CANNOT_UPDATE("A010009", "禁止修改超级管理员角色"),
    SUPER_ADMINSTRATOR_ROLE_CANNOT_DELETE("A010009", "禁止删除超级管理员角色"),
    SUPER_ADMIN_CANNOT_DELETE("A010010", "禁止删除超级管理员用户"),
    COMPONENT_NOT_BLANK("A010011", "组件地址不能为空"),
    FUNCTION_PATH_FORMAT_ERROR("A010012", "菜单路由地址格式错误，只能包含字母、数字、下划线、中划线、空格、斜线、反斜线，长度为1-32个字符"),
    FUNCTION_COMPONENT_FORMAT_ERROR("A010013","菜单组件地址格式错误，只能包含字母、数字、下划线、中划线、空格、斜线、反斜线，长度为1-32个字符" ),
    SUPER_ADMIN_REPEAT("A010013","超级管理员已存在，请勿重复添加" ),
    RSA_DECRYT_ERROR("A010014","RSA解密失败" ),
    PASSWORD_SAME("A010015", "新密码不能与旧密码相同"),
    OLD_PASSWORD_ERROR("A010016", "旧密码错误"), ;

    private String code;
    private String message;

    UserResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
